<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package wp-clf-lite
 */

$section_numbering 	= 'yes' === get_theme_mod( 'section_name_convention_numbering' ) ? 'numbered' : '';


get_header();
?>

	<div id="primary" <?php WP_CLF_Lite_Content_Classes::primary_content_class(); ?> >
		<main id="main" <?php WP_CLF_Lite_Content_Classes::main_content_class(); ?> >

			<?php if ( defined( 'UBC_PRESS_VERSION' ) ) : ?>

			<div class="entry-content">

				<header>
					<?php UBC_CLF_Lite_Theme_Support::course_title( '<h1 class="course-title">', '</h1>' ); ?>
				</header>

				<div class="<?php echo esc_attr( $section_numbering ); ?> column-12 landing-sections-list">

					<?php do_action( 'wp_clf_lite_course_section_open_close_accordion' ); ?>

					<div id="course-content-listings" class="accordion sections-accordion" data-accordion data-multi-expand="true" data-allow-all-closed="true">
						<?php do_action( 'sections_course_main_listing' ); ?>
					</div>
				</div>
				<!-- .course-main -->

			</div><!-- .entry-content -->

			<?php endif; ?>
		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
