<?php
/**
 * add settings to WordPress settings... yup. That's all.
 *
 * @since 0.0.1
 *
 */

	/* Admin init */
	add_action( 'admin_init', 'my_settings_init' );

	/* Settings Init */
function my_settings_init() {

	/* Register Settings / option*/
	register_setting(
		'reading',             // Options group
		'show_on_front',      // Option name/database
		'my_settings_sanitize' // sanitize callback function
	);

	/* Create settings section */
	add_settings_section(
		'course-listings-section-id',        // Section ID
		'',  // Section title
		'my_settings_section_description', // Section callback function
		'reading'                          // Settings page slug
	);

	/* Create settings field */
	add_settings_field(
		'my-settings-field-id',       // Field ID
		'',       // Field title
		'my_settings_field_callback', // Field callback function
		'reading',                    // Settings page slug
		'course-listings-section-id'               // Section ID
	);
}

/* Sanitize Callback Function */
function my_settings_sanitize( $input ) {

	// print_r( $input );

	( isset( $input ) ) ? 'sections' : false;

	// ( ( isset( $input ) && 'sections' === $input ) ? true : false );

		return $input;

}

	/* Setting Section Description */
function my_settings_section_description() {

	echo wp_kses_post( wpautop( '' ) );

}

	/* Settings Field Callback */
function my_settings_field_callback() {

	?>
	<p class="ubc-section-course-listings">
		<label for="course-listings">
			<input name="show_on_front" id="course-listings" type="radio" value="sections" class="tog"  <?php checked( 'sections', get_option( 'show_on_front' ) ); ?> />
			<?php echo esc_html( 'Course section list' ); ?>
		</label>
	</p>

	<?php
}
