<?php
/**
* Template for section parent listings
* loadd by course_sidebar_sections_list_sections ()  functions.php
*
* @author David Brabbins
* @since 1.0
*/

//Query to get custom post type section objects

$global_parent_id = wp_get_post_parent_id( get_the_ID() );

//Call function to get course naming convention
$section_type = UBC_WP_CLF_Lite::get_course_content_name_convention();

$section_name = ! empty( $section_type ) ? $section_type : '';

$get_parent_ids = new WP_Query(
	array(
		'post_type' => 'section',
		'posts_per_page' => -1,
		'post_parent' => 0,
		'orderby' => 'menu_order parent date',
		'order' => 'ASC',
	)
);

//Our args array for  $sections_parent_list_query query
foreach ( $get_parent_ids->posts as $parent_id ) {

	$pageid = $parent_id->ID;

	$args_parent = array(

		 'post_type' => 'section',
		 'posts_per_page' => -1,
		 'page_id' => $pageid,
		 'orderby' => 'menu_order parent date',
		 'order' => 'ASC',

	);

	$args_childern = array(

		 'post_type' => 'section',
		 'posts_per_page' => -1,
		 'post_parent' => $pageid,
		 'orderby' => 'menu_order parent date',
		 'order' => 'ASC',

	);

	// Our new parent query
	$sections_parent_list_query = new WP_Query( $args_parent );

	// Our new child query
	$sections_child_list_query = new WP_Query( $args_childern );

	//Start path and template paths for loop templates
	$startPath = trailingslashit( dirname( __FILE__ ) ) . '../template-parts';
	// $section_list_parent_templ = 'courses-section-list-parent.php';
	$course_section_list_templ = 'courses-section-list.php';

	//Parent loop called by $sections_parent_list_query
	if ( $sections_parent_list_query -> have_posts() ) : ?>

		<?php while ( $sections_parent_list_query -> have_posts() ) : $sections_parent_list_query -> the_post();

			global $post;
			$the_id 					= get_the_ID();
			$slug 						= basename( get_permalink() );
			$get_parent_id 		= $post->ID;

			$section_list_class = $global_parent_id == $get_parent_id ? 'is-active current-parent' : '';
			$current_section = $global_parent_id == $get_parent_id ? '<small>Current ' . $section_type . ':</small><br />' : '';

		?>

			<li class="accordion-item <?php echo esc_attr( $section_list_class ); ?>" data-accordion-item>

				<a href="#<?php echo esc_attr( $slug ); ?>-accordion-<?php echo esc_attr( $the_id ); ?>" class="accordion-title">
					<h3 class="parent-section-title">
						<?php echo wp_kses_post( $current_section ); ?>
					<?php if ( ! empty( $section_name ) ) : ?>
						<span class="section-name"><?php echo esc_html( $section_name ); ?></span>
					<?php endif; ?>
					<span class="section-title"><?php the_title(); ?></span>
					</h3>
				</a>

			<?php if ( $sections_child_list_query -> have_posts() ) : ?>

				<ul id="<?php echo esc_attr( $slug ); ?>-accordion-<?php echo esc_attr( $the_id ); ?>" class="accordion-content no-bullet" data-tab-content>

					<?php while ( $sections_child_list_query -> have_posts() ) : $sections_child_list_query -> the_post();
						global $post;
							\UBC\Helpers::locate_template_part_in_plugin( $startPath, $course_section_list_templ, true, false );

					endwhile; ?>

				<?php echo '</ul><!-- end .accordion-title -->'; ?>


				<?php wp_reset_postdata();

			else : ?>

					<ul class="accordion-content no-bullet" data-tab-content>

						<li>
							There are currently no sub sections.
						</li>

					</ul>

			<?php endif; //end child loop ?>

		<?php endwhile;

			wp_reset_postdata();

		else :

			echo '<p>These aren\'t the droids you\'re looking for</p>';

	endif; //end parent loop
}

?>
