<?php
/**
 * Template for showing custom header part
 * loadd by UBC_CLF_Lite::add_ubc_wp_clf_lite_custom_header()
 *
 * @author David Brabbins
 * @since 1.0
 */

//get the faculty/school/dep
$get_post_type          = get_post_type();
$course_button_context  = 'section' === $get_post_type  ? 'menu' : 'info';

$home_url               = home_url( '/' );
$login_url              = is_home() ? home_url( '/' ) : get_permalink();

?>

  <div id="topnav" class="top-bar row-expand align-items-center"  aria-label="Top Navigation" data-topbar data-check-every="50">
  	<div id="ubc-identity" class="top-bar-title ubc-logo site-title column-6" role="banner">
  		<a href="http://www.ubc.ca" rel="home" title="Go to The University of British Columbia website">
  		  <svg class="ui-icon ubc-logo-icon"><use xlink:href="#ubc-logo"></use><title>University of British Columbia's (UBC) logo</title><desc>Clicking on the UBC logo will go to ubc.ca</desc></svg>
  		  <span class="show-for-sr">The University of British Columbia</span>
  		</a>
  	</div><!-- #ubc-identity -->
  	<div id="site-faculty-name" class="site-name align-items-center column-4">
  	  <a href="<?php echo esc_url( $home_url );?>" title="Course home">

			<?php UBC_CLF_Lite_Theme_Support::faculty_unit_title( '<span class="course-stakeholder show-for-medium ellipsis-width">', '</span>' ); ?>
			<?php UBC_CLF_Lite_Theme_Support::course_title( '<span class="course-title ellipsis-width">', '</span>' ); ?>
  	  </a>
  	</div><!-- #site-faculty-name -->
  	<div class="site-navigation column-6">
  		<div class="navigation-buttons row-smll-collapse align-items-center">
  			<button class="sidebar-reveal-button hide-for-large" data-toggle="secondary" data-effect="st-effect-1">
  				<span class="svg-container" aria-hidden="true">
  					<svg class="ui-icon menu-icon right" aria-hidden="true"><use xlink:href="#list-menu"></use></svg>
  				</span>
  				<span class="menu-name">Course<span> <?php echo esc_html( $course_button_context ); ?></span></span>
  			</button>
  			<button class="main-menu" data-toggle="offCanvasRight1">
  				<svg class="ui-icon menu-icon" aria-hidden="true"><use xlink:href="#menu"></use></svg>
  				<span class="menu-name">Global<span> menu</span></span>
  			</button>

    		<?php if ( ! is_user_logged_in() ) : ?>

    			<a class="link user-menu" href="<?php echo esc_url( wp_login_url( $login_url ) ); ?>"><svg class="ui-icon user"><use xlink:href="#user"></use></svg><p class="menu-name">Login</p></a>

    		<?php endif; ?>

  		</div><!-- .navigation-buttons -->
  	</div><!-- .site-navigation -->
  </div><!-- #topnav -->
